UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Get scalar field values by field index

## Functions
LBMSDMExpDLL int | lbmsdm_msg_get_boolean_idx (lbmsdm_msg_t *Message, size_t Index, uint8_t *Value)
| Fetch a field value from a message by field index. More...
LBMSDMExpDLL int | lbmsdm_msg_get_int8_idx (lbmsdm_msg_t *Message, size_t Index, int8_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint8_idx (lbmsdm_msg_t *Message, size_t Index, uint8_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int16_idx (lbmsdm_msg_t *Message, size_t Index, int16_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint16_idx (lbmsdm_msg_t *Message, size_t Index, uint16_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int32_idx (lbmsdm_msg_t *Message, size_t Index, int32_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint32_idx (lbmsdm_msg_t *Message, size_t Index, uint32_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int64_idx (lbmsdm_msg_t *Message, size_t Index, int64_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint64_idx (lbmsdm_msg_t *Message, size_t Index, uint64_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_float_idx (lbmsdm_msg_t *Message, size_t Index, float *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_double_idx (lbmsdm_msg_t *Message, size_t Index, double *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_decimal_idx (lbmsdm_msg_t *Message, size_t Index, lbmsdm_decimal_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_timestamp_idx (lbmsdm_msg_t *Message, size_t Index, struct timeval *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_message_idx (lbmsdm_msg_t *Message, size_t Index, lbmsdm_msg_t **Value)
LBMSDMExpDLL int | lbmsdm_msg_get_string_idx (lbmsdm_msg_t *Message, size_t Index, char *Value, size_t *Size)
| Fetch a string field value from a message by field index. More...
LBMSDMExpDLL int | lbmsdm_msg_get_unicode_idx (lbmsdm_msg_t *Message, size_t Index, wchar_t *Value, size_t *Size)
| Fetch a unicode field value from a message by field index. More...
LBMSDMExpDLL int | lbmsdm_msg_get_blob_idx (lbmsdm_msg_t *Message, size_t Index, void *Value, size_t *Size)
| Fetch a BLOB field value from a message by field index. More...

## Detailed Description

The functions in this group allow the retrieval of the value of a scalar (non-array) field, referenced by field index.

## Function Documentation

LBMSDMExpDLL int lbmsdm_msg_get_blob_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | void * | Value,
|  | size_t * | Size
| ) |  |

Fetch a BLOB field value from a message by field index.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Index | Field index.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in bytes. On exit, it will contain the actual size of Value.

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the data. Size will contain the length required.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_boolean_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint8_t * | Value
| ) |  |

Fetch a field value from a message by field index.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Index | Field index.
  Value | Pointer to variable where the value is stored.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_decimal_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | lbmsdm_decimal_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_double_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | double * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_float_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | float * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int16_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int32_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int64_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int8_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_message_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | lbmsdm_msg_t ** | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_string_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | char * | Value,
|  | size_t * | Size
| ) |  |

Fetch a string field value from a message by field index.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Index | Field index.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value (including the terminating null character). On exit, it will contain the actual size of the string (including the terminating null character).

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the string. Size will contain the length required.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_timestamp_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | struct timeval * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint16_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint32_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint64_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint8_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_unicode_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | wchar_t * | Value,
|  | size_t * | Size
| ) |  |

Fetch a unicode field value from a message by field index.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Index | Field index.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in `wchar_t`s. On exit, it will contain the actual size of Value in `wchar_t`s.

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the data. Size will contain the length required.
  LBMSDM_FAILURE | otherwise.